Package org.springframework.web.filter.reactive

# Interface UrlHandlerFilter.Builder.TrailingSlashSpec

Enclosing interface:
  UrlHandlerFilter.Builder

public static interface UrlHandlerFilter.Builder.TrailingSlashSpec
A spec to configure a trailing slash handler.

## Method Summary

Modifier and Type
Method
Description
`UrlHandlerFilter.Builder.TrailingSlashSpec`
`intercept(Function<ServerHttpRequest,reactor.core.publisher.Mono<Void>> interceptor)`
Configure a request interceptor to be called just before the handler is invoked when a URL with a trailing slash is matched.
`UrlHandlerFilter.Builder`
`mutateRequest()`
Handle the request by wrapping it in order to trim the trailing slash, and delegating to the rest of the filter chain.
`UrlHandlerFilter.Builder`
`redirect(HttpStatusCode statusCode)`
Handle requests by sending a redirect to the same URL but the trailing slash trimmed.

## Method Details

### intercept

UrlHandlerFilter.Builder.TrailingSlashSpec intercept(Function<ServerHttpRequest,reactor.core.publisher.Mono<Void>> interceptor)
Configure a request interceptor to be called just before the handler is invoked when a URL with a trailing slash is matched.

### redirect

UrlHandlerFilter.Builder redirect(HttpStatusCode statusCode)
Handle requests by sending a redirect to the same URL but the trailing slash trimmed.

Parameters:
  `statusCode` - the redirect status to use
Returns:
  the top level `UrlHandlerFilter.Builder`, which allows adding more handlers and then building the Filter instance.

### mutateRequest

UrlHandlerFilter.Builder mutateRequest()
Handle the request by wrapping it in order to trim the trailing slash, and delegating to the rest of the filter chain.

Returns:
  the top level `UrlHandlerFilter.Builder`, which allows adding more handlers and then building the Filter instance.